Index: converters/root2lhco.cpp
===================================================================
--- converters/root2lhco.cpp	(revision c3547ed491bdbcdb26c9b2a1b1b3f6c56b30e105)
+++ converters/root2lhco.cpp	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -17,24 +17,24 @@
  */
 
+#include <fstream>
+#include <iostream>
+#include <sstream>
 #include <stdexcept>
-#include <iostream>
-#include <fstream>
-#include <sstream>
 #include <string>
 
-#include <stdlib.h>
 #include <signal.h>
 #include <stdio.h>
-
+#include <stdlib.h>
+
+#include "TApplication.h"
 #include "TROOT.h"
-#include "TApplication.h"
-
+
+#include "TClonesArray.h"
 #include "TFile.h"
-#include "TClonesArray.h"
 
 #include "classes/DelphesClasses.h"
 
+#include "ExRootAnalysis/ExRootProgressBar.h"
 #include "ExRootAnalysis/ExRootTreeReader.h"
-#include "ExRootAnalysis/ExRootProgressBar.h"
 
 using namespace std;
@@ -62,5 +62,4 @@
 
 private:
-
   void Reset();
   void Write();
@@ -76,5 +75,9 @@
   void AnalyseMissingET();
 
-  enum {kIntParamSize = 2, kDblParamSize = 9};
+  enum
+  {
+    kIntParamSize = 2,
+    kDblParamSize = 9
+  };
   Int_t fIntParam[kIntParamSize];
   Double_t fDblParam[kDblParamSize];
@@ -132,6 +135,5 @@
   fBranchMissingET = fTreeReader->UseBranch("MissingET");
 
-  if(!fBranchEvent || !fBranchTrack || !fBranchTower || !fBranchPhoton ||
-     !fBranchElectron || !fBranchMuon || !fBranchJet || !fBranchMissingET)
+  if(!fBranchEvent || !fBranchTrack || !fBranchTower || !fBranchPhoton || !fBranchElectron || !fBranchMuon || !fBranchJet || !fBranchMissingET)
   {
     throw runtime_error("ROOT file doesn't contain all required branches");
@@ -202,5 +204,5 @@
   Event *element;
 
-  element = static_cast<Event*>(fBranchEvent->At(0));
+  element = static_cast<Event *>(fBranchEvent->At(0));
 
   fprintf(fOutputFile, "%4d %13lld %8d\n", 0, element->Number, 0);
@@ -216,5 +218,5 @@
 
   fItPhoton->Reset();
-  while((element = static_cast<Photon*>(fItPhoton->Next())))
+  while((element = static_cast<Photon *>(fItPhoton->Next())))
   {
     Reset();
@@ -239,5 +241,5 @@
 
   fItElectron->Reset();
-  while((element = static_cast<Electron*>(fItElectron->Next())))
+  while((element = static_cast<Electron *>(fItElectron->Next())))
   {
     Reset();
@@ -270,5 +272,5 @@
   muonCounter = 0;
   fItMuon->Reset();
-  while((element = static_cast<Muon*>(fItMuon->Next())))
+  while((element = static_cast<Muon *>(fItMuon->Next())))
   {
     Reset();
@@ -276,5 +278,5 @@
     sumPT = 0.0;
     fItTrack->Reset();
-    while((track = static_cast<Track*>(fItTrack->Next())))
+    while((track = static_cast<Track *>(fItTrack->Next())))
     {
       if(element->P4().DeltaR(track->P4()) < 0.5) sumPT += track->PT;
@@ -283,5 +285,5 @@
     sumET = 0.0;
     fItTower->Reset();
-    while((tower = static_cast<Tower*>(fItTower->Next())))
+    while((tower = static_cast<Tower *>(fItTower->Next())))
     {
       if(element->P4().DeltaR(tower->P4()) < 0.5) sumET += tower->ET;
@@ -293,5 +295,5 @@
     minDR = 1.0E9;
     fItJet->Reset();
-    while((jet = static_cast<Jet*>(fItJet->Next())))
+    while((jet = static_cast<Jet *>(fItJet->Next())))
     {
       if(jet->TauTag != 0)
@@ -325,5 +327,5 @@
     }
 
-    ratET = sumET/element->PT;
+    ratET = sumET / element->PT;
     fDblParam[6] = Float_t(TMath::Nint(sumPT)) + (ratET < 1.0 ? ratET : 0.99);
 
@@ -342,5 +344,5 @@
 
   fItJet->Reset();
-  while((element = static_cast<Jet*>(fItJet->Next())))
+  while((element = static_cast<Jet *>(fItJet->Next())))
   {
     if(element->TauTag == 0) continue;
@@ -350,5 +352,5 @@
     counter = 1;
 
-   /*
+    /*
     fItTrack->Reset();
     while((track = static_cast<Track*>(fItTrack->Next())))
@@ -380,5 +382,5 @@
 
   fItJet->Reset();
-  while((element = static_cast<Jet*>(fItJet->Next())))
+  while((element = static_cast<Jet *>(fItJet->Next())))
   {
     if(element->TauTag != 0) continue;
@@ -388,5 +390,5 @@
     counter = 0;
     fItTrack->Reset();
-    while((track = static_cast<Track*>(fItTrack->Next())))
+    while((track = static_cast<Track *>(fItTrack->Next())))
     {
       if(element->P4().DeltaR(track->P4()) < 0.5) ++counter;
@@ -413,5 +415,5 @@
   MissingET *element;
 
-  element = static_cast<MissingET*>(fBranchMissingET->At(0));
+  element = static_cast<MissingET *>(fBranchMissingET->At(0));
 
   Reset();
@@ -471,5 +473,6 @@
   if(argc < 2 || argc > 4)
   {
-    cerr << " Usage: " << appName << " input_file" << " [output_file] [--jet-branch=Jet]" << endl;
+    cerr << " Usage: " << appName << " input_file"
+         << " [output_file] [--jet-branch=Jet]" << endl;
     cerr << " input_file - input file in ROOT format," << endl;
     cerr << " output_file - output file in LHCO format," << endl;
